Set a post final image or thumb asset.
curl --request POST \
--url https://api.nebyoulous.space/posts/{id}/final-assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.nebyoulous.space/posts/{id}/final-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/posts/{id}/final-assets"
payload = { "assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Posts
Set a post final image or thumb asset.
POST
/
posts
/
{id}
/
final-assets
Set a post final image or thumb asset.
curl --request POST \
--url https://api.nebyoulous.space/posts/{id}/final-assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.nebyoulous.space/posts/{id}/final-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/posts/{id}/final-assets"
payload = { "assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Response
Default Response
Show child attributes
Show child attributes